package cn.superdesk.uniorder.dao.entity.operationCenter.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class UnifiedAccountingOrderCredit {
    private Long id;

    private String orderCreditId;

    private Integer bizTypeId;

    private String orderSn;

    private String orderId;

    private String orderGoodsId;

    private String bizTransactionNumber;

    private String thirdPartyTransactionNumber;

    private String bizPlatformCode;

    private String bizPlatformName;

    private String orderTypeCode;

    private String orderTypeName;

    private Integer goodsTypeId;

    private String goodsId;

    private String goodsName;

    private BigDecimal orderAmount;

    private Integer integralTypeId;

    private String integralTypeName;

    private String batch;

    private String transactorId;

    private String transactorName;

    private String transactorMobile;

    private String enterpriseId;

    private String enterpriseName;

    private String orgId;

    private String orgName;

    private String operatorId;

    private String operatorName;

    private String supplierId;

    private String supplierName;

    private String bizPayTypeId;

    private String bizPayTypeName;

    private Long platformPayTypeId;

    private String platformPayTypeName;

    private Integer payStatusId;

    private Date orderCreateTime;

    private Date tradingTime;

    private Date finishTime;

    private Integer accountingStatus;

    private String accountingOrderSnOperator;

    private Integer isSettlement;

    private String createUserId;

    private Date createTime;

    private String updateUserId;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderCreditId() {
        return orderCreditId;
    }

    public void setOrderCreditId(String orderCreditId) {
        this.orderCreditId = orderCreditId;
    }

    public Integer getBizTypeId() {
        return bizTypeId;
    }

    public void setBizTypeId(Integer bizTypeId) {
        this.bizTypeId = bizTypeId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(String orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    public String getBizTransactionNumber() {
        return bizTransactionNumber;
    }

    public void setBizTransactionNumber(String bizTransactionNumber) {
        this.bizTransactionNumber = bizTransactionNumber;
    }

    public String getThirdPartyTransactionNumber() {
        return thirdPartyTransactionNumber;
    }

    public void setThirdPartyTransactionNumber(String thirdPartyTransactionNumber) {
        this.thirdPartyTransactionNumber = thirdPartyTransactionNumber;
    }

    public String getBizPlatformCode() {
        return bizPlatformCode;
    }

    public void setBizPlatformCode(String bizPlatformCode) {
        this.bizPlatformCode = bizPlatformCode;
    }

    public String getBizPlatformName() {
        return bizPlatformName;
    }

    public void setBizPlatformName(String bizPlatformName) {
        this.bizPlatformName = bizPlatformName;
    }

    public String getOrderTypeCode() {
        return orderTypeCode;
    }

    public void setOrderTypeCode(String orderTypeCode) {
        this.orderTypeCode = orderTypeCode;
    }

    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }

    public Integer getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setGoodsTypeId(Integer goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Integer getIntegralTypeId() {
        return integralTypeId;
    }

    public void setIntegralTypeId(Integer integralTypeId) {
        this.integralTypeId = integralTypeId;
    }

    public String getIntegralTypeName() {
        return integralTypeName;
    }

    public void setIntegralTypeName(String integralTypeName) {
        this.integralTypeName = integralTypeName;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getTransactorId() {
        return transactorId;
    }

    public void setTransactorId(String transactorId) {
        this.transactorId = transactorId;
    }

    public String getTransactorName() {
        return transactorName;
    }

    public void setTransactorName(String transactorName) {
        this.transactorName = transactorName;
    }

    public String getTransactorMobile() {
        return transactorMobile;
    }

    public void setTransactorMobile(String transactorMobile) {
        this.transactorMobile = transactorMobile;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getBizPayTypeId() {
        return bizPayTypeId;
    }

    public void setBizPayTypeId(String bizPayTypeId) {
        this.bizPayTypeId = bizPayTypeId;
    }

    public String getBizPayTypeName() {
        return bizPayTypeName;
    }

    public void setBizPayTypeName(String bizPayTypeName) {
        this.bizPayTypeName = bizPayTypeName;
    }

    public Long getPlatformPayTypeId() {
        return platformPayTypeId;
    }

    public void setPlatformPayTypeId(Long platformPayTypeId) {
        this.platformPayTypeId = platformPayTypeId;
    }

    public String getPlatformPayTypeName() {
        return platformPayTypeName;
    }

    public void setPlatformPayTypeName(String platformPayTypeName) {
        this.platformPayTypeName = platformPayTypeName;
    }

    public Integer getPayStatusId() {
        return payStatusId;
    }

    public void setPayStatusId(Integer payStatusId) {
        this.payStatusId = payStatusId;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Date getTradingTime() {
        return tradingTime;
    }

    public void setTradingTime(Date tradingTime) {
        this.tradingTime = tradingTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getAccountingStatus() {
        return accountingStatus;
    }

    public void setAccountingStatus(Integer accountingStatus) {
        this.accountingStatus = accountingStatus;
    }

    public String getAccountingOrderSnOperator() {
        return accountingOrderSnOperator;
    }

    public void setAccountingOrderSnOperator(String accountingOrderSnOperator) {
        this.accountingOrderSnOperator = accountingOrderSnOperator;
    }

    public Integer getIsSettlement() {
        return isSettlement;
    }

    public void setIsSettlement(Integer isSettlement) {
        this.isSettlement = isSettlement;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}